aboutsummaryrefslogtreecommitdiff
path: root/rofi
diff options
context:
space:
mode:
Diffstat (limited to 'rofi')
-rwxr-xr-xrofi/firefoxhistory.sh9
-rwxr-xr-xrofi/rofi_locate.sh13
2 files changed, 22 insertions, 0 deletions
diff --git a/rofi/firefoxhistory.sh b/rofi/firefoxhistory.sh
new file mode 100755
index 0000000..6836fd2
--- /dev/null
+++ b/rofi/firefoxhistory.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+if [ -z $1 ]; then
+ sqlite3 ~/.mozilla/firefox/3n77lp68.default/places.sqlite 'SELECT url from moz_places order by frecency desc' | grep -vE "google.com/search|google.com/url|duckduckgo"
+ exit 0
+else
+ i3-msg "exec firejail firefox --new-tab \"$*\"" > /dev/null
+ exit 1
+fi
diff --git a/rofi/rofi_locate.sh b/rofi/rofi_locate.sh
new file mode 100755
index 0000000..1dc4bb9
--- /dev/null
+++ b/rofi/rofi_locate.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+if [ -z $1 ]; then
+ echo ""
+else
+ if [ -e "$1" ]; then
+ xdg-open "$1"
+ else
+ echo ""
+ locate --ignore-case -A ~ $* | grep -v "/\."
+ fi
+fi
+